%define name stunnel
%define version 4.04
%define release 4mdk
%define pemdir	%{_sysconfdir}/ssl/stunnel

Name:		%{name}
Summary:	Program that wraps normal socket connections with SSL/TLS
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.stunnel.org/
Source:		%{name}-%{version}.tar.gz
Source1:	%{name}-%{version}.tar.gz.asc
Patch0:		%{name}-%{version}-confdir.patch.bz2
Patch1:		%{name}-4.02-authpriv.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	autoconf2.5
BuildRequires:	openssl >= 0.9.5
BuildRequires:	openssl-devel >= 0.9.5
BuildRequires:  tcp_wrappers-devel
Requires:	openssl >= 0.9.5a

%description
The stunnel program is designed to work as SSL encryption wrapper between 
remote clients and local (inetd-startable) or remote servers. The concept is 
that having non-SSL aware daemons running on your system you can easily set 
them up to communicate with clients over secure SSL channels.

stunnel can be used to add SSL functionality to commonly used inetd daemons 
like POP-2, POP-3, and IMAP servers, to standalone daemons like NNTP, SMTP 
and HTTP, and in tunneling PPP over network sockets without changes to the 
source code.


%prep
%setup -q
%patch0 -p1 -b .confdir
%patch1 -p1 -b .authprv

%build
aclocal && automake && autoconf
%configure2_5x --with-ssl=%{_prefix} \
	--localstatedir=/var \
	--with-tcp-wrappers
echo -e "\n\n\n\n\n\n" | make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pemdir} \
	$RPM_BUILD_ROOT/var/openssl/certs/trusted \
	$RPM_BUILD_ROOT/var/run/stunnel
%makeinstall docdir=`pwd`/doc-to-install
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/*.pl.8* ./doc-to-install/INSTALL.W32
rm -f $RPM_BUILD_ROOT%{pemdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
echo "To build a new pem, execute the following OpenSSL command:"
echo "    openssl req -new -x509 -days 365 -nodes \ "
echo "    -config /usr/share/doc/stunnel-%{version}/stunnel.cnf \ "
echo "    -out %{pemdir}/stunnel.pem -keyout %{pemdir}/stunnel.pem"
echo ""

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc doc-to-install/* tools/stunnel.cnf
%{_sbindir}/stunnel
%{_libdir}/libstunnel.*
%{_mandir}/man8/stunnel.8.*
%dir %{pemdir}
%dir /var/run/stunnel
%dir /var/openssl/certs/trusted

%changelog
* Fri Aug 22 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.04-4mdk
- Fix bug #4836.

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.04-3mdk
- rebuild

* Tue Jul 01 2003 Stefan van der Eijk <stefan@eijk.nu> 4.04-2mdk
- BuildRequires
- quiet setup

* Fri Feb 14 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.04-1mdk
- Updated to release 4.04.
- Merged RedHat authpriv Patch.

* Mon Aug 19 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.22-2mdk
- Fixed PEM path to %{pemdir}.

* Tue Dec 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.22-1mdk
- Use pristine source aka tgz.
- Include the asc file with it.

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21c-1mdk
- new release

* Fri Nov 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.21a-1mdk
- The all-new and shiny 3.21a.

* Sat Aug 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.20-1mdk
- New and shiny source.

* Tue Jul 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.15-1mdk
- Bump up a new and shiny source.
- Explicitly specify compile with tcpwrappers in configure.

* Thu Mar 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.14-2mdk
- added openssl-devel and tcp_wrappers-devel in BuildRequires.
- use --localstatedir=/var/run.

* Mon Feb 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.14-1mdk
- Bump up to 3.14.

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.13-1mdk
- updated to 3.13

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.11-1mdk
- new and shiny source code.
- fix build as non-root.
- s/%%buildroot/$RPM_BUILD_ROOT/
- added some rm -rf $RPM_BUILD_ROOT along the way to make build a lot more sane.
- fix non-interactive build.

* Tue Dec 19 2000 Vincent Danen <vdanen@linux-mandrake.com> 3.9-1mdk
- macros
- fix url
- make default pem dir to be /etc/stunnel
- 3.9 (big security fix!!)

* Thu Apr 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 3.8-1mdk
- build for Mandrake

* Wed Jul 14 1999 Dirk O. Siebnich <dok@vossnet.de>
- updated for 3.5.

* Mon Jun 07 1999 Dirk O. Siebnich <dok@vossnet.de>
- adapted from sslwrap RPM spec file
